diff --git a/MOVED b/MOVED
index c0ce3dc01a90..c643260064d2 100644
--- a/MOVED
+++ b/MOVED
@@ -4055,3 +4055,60 @@ games/senken||2025-01-27|Has expired: GENTOO mastersites are no longer available
 chinese/kcfonts||2025-01-27|Has expired: GENTOO MASTER_SITES are no longer available
 x11/fbdesk||2025-01-27|Has expired: Upstream disapear and distfile is no more available
 graphics/Hermes||2025-01-27|Has expired: Unmaintained, and no more public distfiles
+net/akonadi-notes
+print/print-manager
+archivers/ark-devel
+audio/plasma5-kpipewire
+audio/plasma5-plasma-pa
+deskutils/plasma5-milou
+deskutils/plasma5-sddm-kcm
+deskutils/plasma5-xdg-desktop-portal-kde
+devel/dolphin-plugins-devel
+devel/plasma5-khotkeys
+devel/plasma5-kwrited
+devel/plasma5-plasma-sdk
+editors/kate-devel
+graphics/gwenview-devel
+graphics/libkexiv2-devel
+graphics/okular-devel
+graphics/spectacle-devel
+multimedia/plasma5-plank-player
+security/plasma5-kscreenlocker
+security/plasma5-ksshaskpass
+security/plasma5-kwallet-pam
+sysutils/plasma5-discover
+sysutils/plasma5-drkonqi
+sysutils/plasma5-kde-cli-tools
+sysutils/plasma5-kinfocenter
+sysutils/plasma5-kmenuedit
+sysutils/plasma5-ksysguard
+sysutils/plasma5-ksystemstats
+sysutils/plasma5-plasma-disks
+sysutils/plasma5-plasma-systemmonitor
+sysutils/plasma5-polkit-kde-agent-1
+sysutils/plasma5-powerdevil
+sysutils/plasma5-systemsettings
+www/plasma5-plasma-browser-integration
+x11-fm/dolphin-devel
+x11-themes/plasma5-breeze
+x11-themes/plasma5-breeze-gtk
+x11-themes/plasma5-kde-gtk-config
+x11-themes/plasma5-oxygen
+x11-themes/plasma5-plasma-workspace-wallpapers
+x11-toolkits/plasma5-kdeplasma-addons
+x11-wm/plasma5-kdecoration
+x11-wm/plasma5-kwin
+x11/kde5|x11/kde|2024-04-14|Remove version from KDE metaport
+x11/kde6|x11/kde|2024-04-14|Remove version from KDE metaport
+x11/konsole-devel
+x11/plasma5-kactivitymanagerd
+x11/plasma5-kgamma5
+x11/plasma5-kscreen
+x11/plasma5-kwayland-integration
+x11/plasma5-layer-shell-qt
+x11/plasma5-libkscreen
+x11/plasma5-plasma
+x11/plasma5-plasma-bigscreen
+x11/plasma5-plasma-desktop
+x11/plasma5-plasma-integration
+x11/plasma5-plasma-workspace
diff --git a/Mk/Uses/kde.mk b/Mk/Uses/kde.mk
index ecb94179d4be..b609e3085533 100644
--- a/Mk/Uses/kde.mk
+++ b/Mk/Uses/kde.mk
@@ -81,19 +81,10 @@ KDE_PLASMA_BRANCH?=		${KDE_PLASMA${_KDE_VERSION}_BRANCH}
 KDE_FRAMEWORKS_VERSION?=	${KDE_FRAMEWORKS${_KDE_VERSION}_VERSION}
 KDE_FRAMEWORKS_BRANCH?=		${KDE_FRAMEWORKS${_KDE_VERSION}_BRANCH}
 
-.    if ${CATEGORIES:Mkde-devel}
 KDE_APPLICATIONS_BRANCH?=	${KDE_APPLICATIONS6_BRANCH}
 KDE_APPLICATIONS_VERSION?=	${KDE_APPLICATIONS6_VERSION}
 KDE_APPLICATIONS_SHLIB_VER?=	${KDE_APPLICATIONS6_SHLIB_VER}
 KDE_APPLICATIONS_SHLIB_G_VER?=	${KDE_APPLICATIONS6_SHLIB_G_VER}
-PKGNAMESUFFIX?=			-devel
-.    else
-KDE_APPLICATIONS_BRANCH?=	${KDE_APPLICATIONS5_BRANCH}
-KDE_APPLICATIONS_VERSION?=	${KDE_APPLICATIONS5_VERSION}
-KDE_APPLICATIONS_SHLIB_VER?=	${KDE_APPLICATIONS5_SHLIB_VER}
-KDE_APPLICATIONS_SHLIB_G_VER?=	${KDE_APPLICATIONS5_SHLIB_G_VER}
-.    endif
-
 
 # Current KDE desktop.
 KDE_PLASMA5_VERSION?=		5.27.11
@@ -119,11 +110,10 @@ KDE_APPLICATIONS5_SHLIB_G_VER?=	23.8.5
 KDE_APPLICATIONS5_BRANCH?=	stable
 
 # Next KDE applications.
-KDE_APPLICATIONS6_VERSION?=	24.01.90
-KDE_APPLICATIONS6_SHLIB_VER?=	5.24.3
-# G as in KDE Gear, and as in "don't make the variable name longer than required"
-KDE_APPLICATIONS6_SHLIB_G_VER?=	24.01.90
-KDE_APPLICATIONS6_BRANCH?=	unstable
+KDE_APPLICATIONS6_VERSION?=	24.12.0
+KDE_APPLICATIONS6_SHLIB_VER?=	6.3.0
+KDE_APPLICATIONS6_SHLIB_G_VER?=	${KDE_APPLICATIONS6_VERSION}
+KDE_APPLICATIONS6_BRANCH?=	stable
 
 # Extended KDE universe applications.
 CALLIGRA_VERSION?=		2.9.11
@@ -250,6 +240,9 @@ CMAKE_ARGS+=	-DCMAKE_MODULE_PATH="${LOCALBASE};${KDE_PREFIX}" \
 
 KDE_MAN_PREFIX?=	${KDE_PREFIX}/share/man
 
+# Enforce the chosen Qt Version
+CMAKE_ARGS+=	-DQT_MAJOR_VERSION=${_QT_VER}
+
 # Disable autotests unless TEST_TARGET is defined.
 .    if !defined(TEST_TARGET)
 CMAKE_ARGS+=	-DBUILD_TESTING:BOOL=false
@@ -265,10 +258,6 @@ PLIST_SUB+=		KDE_APPLICATIONS_VERSION="${KDE_APPLICATIONS_VERSION}" \
 			KDE_PLASMA_VERSION="${KDE_PLASMA_VERSION}"
 # ==============================================================================
 
-_USE_KDE_BOTH=		akonadi libkcddb libkcompactdisc libkdcraw libkdegames \
-			libkeduvocdocument libkipi libksane okular \
-			baloo-widgets kate marble
-
 # List of components of the KDE Frameworks distribution.
 # The *_TIER<n> variables are internal, primarily for checking
 # that our list of frameworks matches the structure offered upstream.
@@ -334,29 +323,31 @@ _USE_PLASMA_ALL=	activitymanagerd breeze breeze-gtk \
 			kirigami-addons
 
 # List of components of the KDE PIM distribution (part of applications).
-_USE_KDEPIM5_ALL=	akonadicontacts akonadiimportwizard akonadimime akonadinotes \
+_USE_KDEPIM_ALL=	akonadicontacts akonadiimportwizard akonadimime \
 			akonadicalendar akonadisearch \
 			calendarcore calendarsupport calendarutils \
 			contacts eventviews gapi grantleetheme \
 			gravatar identitymanagement imap \
 			incidenceeditor kdepim-addons \
-			kdepim-runtime5 kitinerary kontactinterface kpkpass \
+			kdepim-runtime kitinerary kontactinterface kpkpass \
 			ksmtp ldap libkdepim libkleo libksieve mailcommon \
 			mailimporter mailtransport mbox messagelib \
 			mime pimcommon pimtextedit tnef \
 			kalarm kontact kmail mbox-importer \
 			akonadiconsole akregator grantlee-editor kaddressbook \
 			kalarm kmail-account-wizard kmail knotes kontact \
-			korganizer pim-data-exporter ktextaddons
+			korganizer pim-data-exporter ktextaddons \
+			mimetreeparser
 
 _USE_PHONON_ALL=	phonon phonon-backend
 
 _USE_KDE5_ALL=		${_USE_FRAMEWORKS_ALL} \
 			${_USE_PLASMA_ALL} \
-			${_USE_KDEPIM5_ALL} \
-			${_USE_KDE_BOTH} \
 			${_USE_PHONON_ALL} \
-			libkexiv2
+			akonadi \
+			libkexiv2 \
+			libkdcraw
+
 # TODO: fix
 _USE_KDE6_ALL=		ecm colorscheme \
 			svg \
@@ -366,7 +357,16 @@ _USE_KDE6_ALL=		ecm colorscheme \
 			${_USE_PLASMA_ALL} \
 			plasma5support activities activities-stats kpipewire wayland globalacceld libplasma \
 			${_USE_PHONON_ALL} \
-			libkexiv2
+			akonadi \
+			kpublictransport \
+			libkdegames \
+			libksane \
+			baloo-widgets \
+			libkdcraw \
+			${_USE_KDEPIM_ALL} \
+			libkeduvocdocument \
+			libkexiv2 \
+			okular
 
 # ====================== frameworks components =================================
 kde-activities_PORT5=		x11/kf${_KDE_VERSION}-kactivities
@@ -696,12 +696,8 @@ kde-kde-gtk-config_PATH=	${KDE_PREFIX}/lib/kconf_update_bin/gtk_theme
 kde-kdeplasma-addons_PORT=	x11-toolkits/plasma${_KDE_VERSION}-kdeplasma-addons
 kde-kdeplasma-addons_LIB=	libplasmapotdprovidercore.so
 
-kde-kgamma5_PORT5=		x11/plasma${_KDE_VERSION}-kgamma5
-kde-kgamma5_PORT6=		x11/plasma${_KDE_VERSION}-kgamma
-kde-kgamma5_PORT=		${kde-kgamma5_PORT${_KDE_VERSION}}
-kde-kgamma5_PATH5=		${QT_PLUGINDIR}/plasma/kcms/systemsettings/kcm_kgamma.so
-kde-kgamma5_PATH6=		${QT_PLUGINDIR}/plasma/kcms/systemsettings_qwidgets/kcm_kgamma.so
-kde-kgamma5_PATH=		${kde-kgamma5_PATH${_KDE_VERSION}}
+kde-kgamma_PORT=		x11/plasma${_KDE_VERSION}-kgamma
+kde-kgamma_PATH=		${QT_PLUGINDIR}/plasma/kcms/systemsettings_qwidgets/kcm_kgamma.so
 
 kde-kmenuedit_PORT=		sysutils/plasma${_KDE_VERSION}-kmenuedit
 kde-kmenuedit_PATH=		${KDE_PREFIX}/bin/kmenuedit
@@ -765,9 +761,7 @@ kde-plasma-disks_PATH6=		${KDE_PREFIX}/lib/libexec/kf6/kauth/kded-smart-helper
 kde-plasma-disks_PATH=		${kde-plasma-disks_PATH${_KDE_VERSION}}
 
 kde-plasma-integration_PORT=	x11/plasma${_KDE_VERSION}-plasma-integration
-kde-plasma-integration_PATH5=	${QT_PLUGINDIR}/platformthemes/KDEPlasmaPlatformTheme.so
-kde-plasma-integration_PATH6=	${QT_PLUGINDIR}/platformthemes/KDEPlasmaPlatformTheme6.so
-kde-plasma-integration_PATH=	${kde-plasma-integration_PATH${_KDE_VERSION}}
+kde-plasma-integration_PATH=	${QT_PLUGINDIR}/platformthemes/KDEPlasmaPlatformTheme6.so
 
 kde-plasma-pa_PORT=		audio/plasma${_KDE_VERSION}-plasma-pa
 kde-plasma-pa_PATH=		${QT_PLUGINDIR}/plasma/kcms/systemsettings/kcm_pulseaudio.so
@@ -812,106 +806,106 @@ kde-libplasma_LIB=		libPlasma.so
 
 # ====================== pim5 components =======================================
 kde-akonadicontacts_PORT=	net/akonadi-contacts
-kde-akonadicontacts_LIB=	libKPim5AkonadiContact.so
+kde-akonadicontacts_LIB=	libKPim${_KDE_VERSION}AkonadiContactCore.so
 
 kde-akonadiimportwizard_PORT=	deskutils/akonadi-import-wizard
-kde-akonadiimportwizard_LIB=	libKPim5ImportWizard.so
+kde-akonadiimportwizard_LIB=	libKPim${_KDE_VERSION}ImportWizard.so
 
 kde-akonadimime_PORT=		net/akonadi-mime
-kde-akonadimime_LIB=		libKPim5AkonadiMime.so
+kde-akonadimime_LIB=		libKPim${_KDE_VERSION}AkonadiMime.so
 
 kde-akonadinotes_PORT=		net/akonadi-notes
-kde-akonadinotes_LIB=		libKPim5AkonadiNotes.so
+kde-akonadinotes_LIB=		libKPim${_KDE_VERSION}AkonadiNotes.so
 
 kde-akonadicalendar_PORT=	net/akonadi-calendar
-kde-akonadicalendar_LIB=	libKPim5AkonadiCalendar.so
+kde-akonadicalendar_LIB=	libKPim${_KDE_VERSION}AkonadiCalendar.so
 
 kde-akonadisearch_PORT=		net/akonadi-search
-kde-akonadisearch_LIB=		libKPim5AkonadiSearchCore.so
+kde-akonadisearch_LIB=		libKPim${_KDE_VERSION}AkonadiSearchCore.so
 
 kde-calendarsupport_PORT=	net/calendarsupport
-kde-calendarsupport_LIB=	libKPim5CalendarSupport.so
+kde-calendarsupport_LIB=	libKPim${_KDE_VERSION}CalendarSupport.so
 
 kde-calendarutils_PORT=		net/kcalutils
-kde-calendarutils_LIB=		libKPim5CalendarUtils.so
+kde-calendarutils_LIB=		libKPim${_KDE_VERSION}CalendarUtils.so
 
 kde-eventviews_PORT=		net/eventviews
-kde-eventviews_LIB=		libKPim5EventViews.so
+kde-eventviews_LIB=		libKPim${_KDE_VERSION}EventViews.so
 
 kde-gapi_PORT=			net/libkgapi
-kde-gapi_LIB=			libKPim5GAPIBlogger.so
+kde-gapi_LIB=			libKPim${_KDE_VERSION}GAPIBlogger.so
 
 kde-grantleetheme_PORT=		deskutils/grantleetheme
-kde-grantleetheme_LIB=		libKPim5GrantleeTheme.so
+kde-grantleetheme_LIB=		libKPim${_KDE_VERSION}GrantleeTheme.so
 
 kde-gravatar_PORT=		net/libgravatar
-kde-gravatar_LIB=		libKPim5Gravatar.so
+kde-gravatar_LIB=		libKPim${_KDE_VERSION}Gravatar.so
 
 kde-identitymanagement_PORT=	net/kidentitymanagement
-kde-identitymanagement_LIB=	libKPim5IdentityManagement.so
+kde-identitymanagement_LIB=	libKPim${_KDE_VERSION}IdentityManagementCore.so
 
 kde-imap_PORT=			net/kimap
-kde-imap_LIB=			libKPim5IMAP.so
+kde-imap_LIB=			libKPim${_KDE_VERSION}IMAP.so
 
 kde-incidenceeditor_PORT=	net/incidenceeditor
-kde-incidenceeditor_LIB=	libKPim5IncidenceEditor.so
+kde-incidenceeditor_LIB=	libKPim${_KDE_VERSION}IncidenceEditor.so
 
 kde-kdepim-addons_PORT=	deskutils/kdepim-addons
-kde-kdepim-addons_PATH=	${QT_PLUGINDIR}/pim5/contacteditor/editorpageplugins/cryptopageplugin.so
+kde-kdepim-addons_PATH=	${QT_PLUGINDIR}/pim${_KDE_VERSION}/contacteditor/editorpageplugins/cryptopageplugin.so
 
-kde-kdepim-runtime5_PORT=	deskutils/kdepim-runtime
-kde-kdepim-runtime5_PATH=	${KDE_PREFIX}/bin/gidmigrator
+kde-kdepim-runtime_PORT=	deskutils/kdepim-runtime
+kde-kdepim-runtime_PATH=	${KDE_PREFIX}/bin/gidmigrator
 
 kde-kitinerary_PORT=		net/kitinerary
-kde-kitinerary_LIB=		libKPim5Itinerary.so
+kde-kitinerary_LIB=		libKPim${_KDE_VERSION}Itinerary.so
 
 kde-kontactinterface_PORT=	net/kontactinterface
-kde-kontactinterface_LIB=	libKPim5KontactInterface.so
+kde-kontactinterface_LIB=	libKPim${_KDE_VERSION}KontactInterface.so
 
 kde-kpkpass_PORT=		security/kpkpass
-kde-kpkpass_LIB=		libKPim5PkPass.so
+kde-kpkpass_LIB=		libKPim${_KDE_VERSION}PkPass.so
 
 kde-ksmtp_PORT=			net/ksmtp
-kde-ksmtp_LIB=			libKPim5SMTP.so
+kde-ksmtp_LIB=			libKPim${_KDE_VERSION}SMTP.so
 
 kde-ldap_PORT=			net/kldap
-kde-ldap_LIB=			libKPim5Ldap.so
+kde-ldap_LIB=			libKPim${_KDE_VERSION}LdapCore.so
 
 kde-libkdepim_PORT=		deskutils/libkdepim
-kde-libkdepim_LIB=		libKPim5Libkdepim.so
+kde-libkdepim_LIB=		libKPim${_KDE_VERSION}Libkdepim.so
 
 kde-libkleo_PORT=		security/libkleo
-kde-libkleo_LIB=		libKPim5Libkleo.so
+kde-libkleo_LIB=		libKPim${_KDE_VERSION}Libkleo.so
 
 kde-libksieve_PORT=		net/libksieve
-kde-libksieve_LIB=		libKPim5KSieve.so
+kde-libksieve_LIB=		libKPim${_KDE_VERSION}KSieve.so
 
 kde-mailcommon_PORT=		net/mailcommon
-kde-mailcommon_LIB=		libKPim5MailCommon.so
+kde-mailcommon_LIB=		libKPim${_KDE_VERSION}MailCommon.so
 
 kde-mailimporter_PORT=		net/mailimporter
-kde-mailimporter_LIB=		libKPim5MailImporter.so
+kde-mailimporter_LIB=		libKPim${_KDE_VERSION}MailImporter.so
 
 kde-mailtransport_PORT=		net/kmailtransport
-kde-mailtransport_LIB=		libKPim5MailTransport.so
+kde-mailtransport_LIB=		libKPim${_KDE_VERSION}MailTransport.so
 
 kde-mbox_PORT=			net/kmbox
-kde-mbox_LIB=			libKPim5Mbox.so
+kde-mbox_LIB=			libKPim${_KDE_VERSION}Mbox.so
 
 kde-messagelib_PORT=		net/messagelib
-kde-messagelib_LIB=		libKPim5MessageList.so
+kde-messagelib_LIB=		libKPim${_KDE_VERSION}MessageList.so
 
 kde-mime_PORT=			net/kmime
-kde-mime_LIB=			libKPim5Mime.so
+kde-mime_LIB=			libKPim${_KDE_VERSION}Mime.so
 
 kde-pimcommon_PORT=		net/pimcommon
-kde-pimcommon_LIB=		libKPim5PimCommon.so
+kde-pimcommon_LIB=		libKPim${_KDE_VERSION}PimCommon.so
 
 kde-pimtextedit_PORT=		net/kpimtextedit
-kde-pimtextedit_LIB=		libKPim5TextEdit.so
+kde-pimtextedit_LIB=		libKPim${_KDE_VERSION}TextEdit.so
 
 kde-tnef_PORT=			net/ktnef
-kde-tnef_LIB=			libKPim5Tnef.so
+kde-tnef_LIB=			libKPim${_KDE_VERSION}Tnef.so
 
 kde-ktextaddons_PORT=		devel/ktextaddons
 kde-ktextaddons_LIB=		libKF${_KDE_VERSION}TextAutoCorrectionCore.so
@@ -950,50 +944,53 @@ kde-korganizer_PATH=		${KDE_PREFIX}/bin/korganizer
 kde-mbox-importer_PORT=		deskutils/mbox-importer
 kde-mbox-importer_PATH=		${KDE_PREFIX}/bin/mboximporter
 
+kde-mimetreeparser_PORT=	net/mimetreeparser
+kde-mimetreeparser_LIB=		libKPim${_KDE_VERSION}MimeTreeParserCore.so
+
 kde-pim-data-exporter_PORT=	deskutils/pim-data-exporter
 kde-pim-data-exporter_PATH=	${KDE_PREFIX}/bin/pimdataexporter
 # ====================== end of pim5 components ================================
 
 # ====================== multiversion component ================================
-kde-akonadi5_PORT=		databases/akonadi
-kde-akonadi5_LIB=		libKPim5AkonadiPrivate.so
+kde-akonadi_PORT=		databases/akonadi
+kde-akonadi_LIB=		libKPim${_KDE_VERSION}AkonadiPrivate.so
 
-kde-baloo-widgets5_PORT=	sysutils/baloo-widgets
-kde-baloo-widgets5_LIB=		libKF${_KDE_VERSION}BalooWidgets.so
+kde-baloo-widgets_PORT=		sysutils/baloo-widgets
+kde-baloo-widgets_LIB=		libKF${_KDE_VERSION}BalooWidgets.so
 
-kde-kate5_PORT=			editors/kate
-kde-kate5_PATH=			${QT_PLUGINDIR}/ktexteditor/katebacktracebrowserplugin.so
+kde-kate_PORT=			editors/kate
+kde-kate_PATH=			${QT_PLUGINDIR}/ktexteditor/katebacktracebrowserplugin.so
 
-kde-libkcddb5_PORT=		audio/libkcddb
-kde-libkcddb5_LIB=		libKF${_KDE_VERSION}Cddb.so
+kde-libkcddb_PORT=		audio/libkcddb
+kde-libkcddb_LIB=		libKF${_KDE_VERSION}Cddb.so
 
-kde-libkcompactdisc5_PORT=	audio/libkcompactdisc
-kde-libkcompactdisc5_LIB=	libKF${_KDE_VERSION}CompactDisc.so
+kde-libkcompactdisc_PORT=	audio/libkcompactdisc
+kde-libkcompactdisc_LIB=	libKF${_KDE_VERSION}CompactDisc.so
 
-kde-libkdcraw5_PORT=		graphics/libkdcraw@qt${_KDE_VERSION}
-kde-libkdcraw5_LIB=		libKF${_KDE_VERSION}KDcraw.so
+kde-libkdcraw_PORT=		graphics/libkdcraw@qt${_KDE_VERSION}
+kde-libkdcraw_LIB5=		libKF${_KDE_VERSION}KDcraw.so
+kde-libkdcraw_LIB6=		libKDcrawQt${_KDE_VERSION}.so
+kde-libkdcraw_LIB=		${kde-libkdcraw_LIB${_KDE_VERSION}}
 
-kde-libkdegames5_PORT=		games/libkdegames
-kde-libkdegames5_LIB=		libKF${_KDE_VERSION}KDEGames.so
+kde-libkdegames_PORT=		games/libkdegames
+kde-libkdegames_LIB=		libKDEGames${_KDE_VERSION}.so
 
-kde-libkeduvocdocument5_PORT=	misc/libkeduvocdocument
-kde-libkeduvocdocument5_LIB=	libKEduVocDocument.so
+kde-libkeduvocdocument_PORT=	misc/libkeduvocdocument
+kde-libkeduvocdocument_LIB=	libKEduVocDocument.so
 
-kde-libkexiv2_PORT5=		graphics/libkexiv2
-kde-libkexiv2_PORT6=		graphics/libkexiv2-devel
-kde-libkexiv2_PORT=		${kde-libkexiv2_PORT${_KDE_VERSION}}
+kde-libkexiv2_PORT=		graphics/libkexiv2@qt${_KDE_VERSION}
 kde-libkexiv2_LIB5=		libKF${_KDE_VERSION}KExiv2.so
 kde-libkexiv2_LIB6=		libKExiv2Qt${_KDE_VERSION}.so
 kde-libkexiv2_LIB=		${kde-libkexiv2_LIB${_KDE_VERSION}}
 
-kde-libkipi5_PORT=		graphics/libkipi
-kde-libkipi5_LIB=		libKF${_KDE_VERSION}Kipi.so
+kde-libkipi_PORT=		graphics/libkipi
+kde-libkipi_LIB=		libKF${_KDE_VERSION}Kipi.so
 
-kde-libksane5_PORT=		graphics/libksane
-kde-libksane5_LIB=		libKF${_KDE_VERSION}Sane.so
+kde-libksane_PORT=		graphics/libksane
+kde-libksane_LIB=		libKSaneWidgets${_KDE_VERSION}.so
 
-kde-marble5_PORT=		astro/marble
-kde-marble5_LIB=		libmarblewidget-qt5.so
+kde-marble_PORT=		astro/marble
+kde-marble_LIB=			libmarblewidget-qt6.so
 
 kde-kpublictransport_PORT=	devel/kpublictransport
 kde-kpublictransport_LIB=	libKPublicTransport.so
@@ -1001,8 +998,8 @@ kde-kpublictransport_LIB=	libKPublicTransport.so
 kde-kosm_PORT=			astro/kosmindoormap
 kde-kosm_LIB=			libKOSM.so
 
-kde-okular5_PORT=		graphics/okular
-kde-okular5_LIB=		libOkular5Core.so
+kde-okular_PORT=		graphics/okular
+kde-okular_LIB=			libOkular${_KDE_VERSION}Core.so
 
 kde-phonon_PORT=		multimedia/phonon@${_QT_RELNAME}
 kde-phonon_LIB=			libphonon4${_QT_RELNAME}.so
@@ -1011,20 +1008,6 @@ kde-phonon-backend_PORT=	multimedia/phonon-vlc@${_QT_RELNAME}
 kde-phonon-backend_PATH=	${QT_PLUGINDIR}/phonon4${_QT_RELNAME}_backend/phonon_vlc_${_QT_RELNAME}.so
 # ====================== end of multiversion components ========================
 
-# ====================== select the proper multiversion component ==============
-.    for comp in ${_USE_KDE_BOTH}
-kde-${comp}_PORT=		${kde-${comp}${_KDE_VERSION}_PORT}
-.      if defined(kde-${comp}${_KDE_VERSION}_LIB)
-kde-${comp}_LIB=		${kde-${comp}${_KDE_VERSION}_LIB}
-.      else
-.        if defined(kde-${comp}${_KDE_VERSION}_PATH})
-kde-${comp}_PATH=		${kde-${comp}${_KDE_VERSION}_LIB}
-.        endif
-# If neither is defined, this gets caught below when checking components
-.      endif
-.    endfor
-#===============================================================================
-
 # end of component list ########################################################
 
 _USE_KDE_ALL=	${_USE_${_KDE_RELNAME}_ALL}
diff --git a/Tools/scripts/cleanup_categories.rb b/Tools/scripts/cleanup_categories.rb
new file mode 100755
index 000000000000..89a44b2ffca5
--- /dev/null
+++ b/Tools/scripts/cleanup_categories.rb
@@ -0,0 +1,89 @@
+#!/usr/bin/env ruby
+# frozen_string_literal: true
+
+require 'open3'
+
+class Make
+  attr_reader :directory
+
+  def initialize(directory)
+    @directory = directory
+  end
+
+  def list_variable(variable)
+    result = run_make("-V#{variable}")
+    return result[:stdout].map(&:split).flatten if result[:success]
+
+    nil
+  end
+
+  private
+
+  def run_make(target = nil)
+    stdout, stderr, status = Open3.capture3("make -C#{directory} #{target}")
+    f = ->(lines) { lines.split("\n").map(&:chomp) }
+    { success: status.success?, stdout: f[stdout], stderr: f[stderr] }
+  end
+end
+
+class Cleaner
+  attr_reader :path
+
+  def initialize(path)
+    @path = path
+  end
+
+  def subdirs
+    @subdirs ||= Make.new(path).list_variable('SUBDIR')
+  end
+end
+
+class CategoryCleaner < Cleaner
+  def run!
+    missing = Set.new(subdirs.filter { |port| !File.exist?(File.join(path, port)) })
+
+    return if missing.none?
+
+    puts "Cleaning #{missing.count} ports from category #{path}"
+
+    makefile = File.join(path, 'Makefile')
+    lines = File.readlines(makefile)
+    File.open(makefile, 'w') do |file|
+      lines.each do |line|
+        skip = false
+        missing.each do |to_delete|
+          next unless line.match?(/^\s+SUBDIR \+= #{to_delete}$/)
+
+          missing.delete(to_delete)
+          puts "\t* #{to_delete}"
+          skip = true
+          break
+        end
+
+        file.puts(line) unless skip
+      end
+    end
+  end
+end
+
+class TreeCleaner < Cleaner
+  def run!
+    subdirs.each do |category|
+      CategoryCleaner.new(File.join(path, category)).run!
+    end
+  end
+end
+
+if ARGV.none?
+  puts 'Missing argument, expected path to ports tree to clean'
+  exit 1
+end
+
+tree = ARGV.first
+unless File.directory?(tree)
+  puts "Tree #{tree} does not seem to exist"
+  exit 1
+end
+
+cleaner = TreeCleaner.new(tree)
+cleaner.run!
diff --git a/accessibility/kdeaccessibility/Makefile b/accessibility/kdeaccessibility/Makefile
index aef27f210ca7..2e5c1d034250 100644
--- a/accessibility/kdeaccessibility/Makefile
+++ b/accessibility/kdeaccessibility/Makefile
@@ -1,13 +1,12 @@
 PORTNAME=	kdeaccessibility
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	1
 CATEGORIES=	accessibility kde
 
 MAINTAINER=	kde@FreeBSD.org
 COMMENT=	Accessibility applications for KDE 5
 WWW=		https://www.kde.org/
 
-USES=		kde:5 metaport
+USES=		kde:6 metaport
 
 OPTIONS_DEFINE=	KMAG KMOUSETOOL KMOUTH
 OPTIONS_DEFAULT:=	${OPTIONS_DEFINE}
diff --git a/accessibility/kmag/Makefile b/accessibility/kmag/Makefile
index 6fd142fa2877..1d96ed7013f0 100644
--- a/accessibility/kmag/Makefile
+++ b/accessibility/kmag/Makefile
@@ -1,6 +1,5 @@
 PORTNAME=	kmag
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	2
 CATEGORIES=	accessibility kde kde-applications
 
 MAINTAINER=	kde@FreeBSD.org
@@ -8,16 +7,14 @@ COMMENT=	KDE Screen magnifier
 WWW=		https://www.kde.org/applications/utilities/kmag/
 
 LICENSE=	GPLv2
-LICENSE_FILE=	${WRKSRC}/COPYING
 
-LIB_DEPENDS=	libqaccessibilityclient-qt5.so:accessibility/libqaccessibilityclient@qt5
+LIB_DEPENDS=	libqaccessibilityclient-qt6.so:accessibility/libqaccessibilityclient@qt6
 
-USES=		cmake compiler:c++11-lang gettext kde:5 qt:5 tar:xz
-USE_KDE=	auth codecs config configwidgets coreaddons \
-		i18n kio service widgetsaddons xmlgui \
+USES=		cmake compiler:c++11-lang gettext kde:6 qt:6 tar:xz
+USE_KDE=	auth codecs config configwidgets coreaddons i18n kio service \
+		widgetsaddons xmlgui \
 		ecm:build
-USE_QT=		concurrent core dbus gui network printsupport widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base
 
 OPTIONS_DEFINE=	DOCS
 
diff --git a/accessibility/kmag/distinfo b/accessibility/kmag/distinfo
index 3b2217621899..54c60e20562a 100644
--- a/accessibility/kmag/distinfo
+++ b/accessibility/kmag/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889461
-SHA256 (KDE/release-service/23.08.5/kmag-23.08.5.tar.xz) = 256f63781c7aebcd10a83953446a5c974deae78e21a84d6b6d8c22e6db494ec9
-SIZE (KDE/release-service/23.08.5/kmag-23.08.5.tar.xz) = 725968
+TIMESTAMP = 1734460007
+SHA256 (KDE/release-service/24.12.0/kmag-24.12.0.tar.xz) = eed6d5bfd5fdabb07d89c7c2aacb50d36a49c45a4b3ba28143fffb49a13304ba
+SIZE (KDE/release-service/24.12.0/kmag-24.12.0.tar.xz) = 677776
diff --git a/accessibility/kmag/pkg-plist b/accessibility/kmag/pkg-plist
index 7e9398fc875f..3a164687092f 100644
--- a/accessibility/kmag/pkg-plist
+++ b/accessibility/kmag/pkg-plist
@@ -2,10 +2,12 @@ bin/kmag
 share/applications/org.kde.kmag.desktop
 share/icons/hicolor/16x16/apps/kmag.png
 share/icons/hicolor/32x32/apps/kmag.png
+share/icons/hicolor/scalable/apps/kmag.svg
 %%DATADIR%%/icons/hicolor/16x16/actions/followmouse.png
 %%DATADIR%%/icons/hicolor/16x16/actions/hidemouse.png
 %%DATADIR%%/icons/hicolor/16x16/actions/window.png
 share/locale/ar/LC_MESSAGES/kmag.mo
+share/locale/ast/LC_MESSAGES/kmag.mo
 share/locale/be/LC_MESSAGES/kmag.mo
 share/locale/bg/LC_MESSAGES/kmag.mo
 share/locale/br/LC_MESSAGES/kmag.mo
@@ -88,6 +90,7 @@ share/man/nl/man1/kmag.1.gz
 share/man/pt/man1/kmag.1.gz
 share/man/pt_BR/man1/kmag.1.gz
 share/man/ru/man1/kmag.1.gz
+share/man/sl/man1/kmag.1.gz
 share/man/sv/man1/kmag.1.gz
 share/man/uk/man1/kmag.1.gz
-share/metainfo/org.kde.kmag.appdata.xml
+share/metainfo/org.kde.kmag.metainfo.xml
diff --git a/accessibility/kmousetool/Makefile b/accessibility/kmousetool/Makefile
index 61c31181ca90..01bce429ee12 100644
--- a/accessibility/kmousetool/Makefile
+++ b/accessibility/kmousetool/Makefile
@@ -1,6 +1,5 @@
 PORTNAME=	kmousetool
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	1
 CATEGORIES=	accessibility kde kde-applications
 
 MAINTAINER=	kde@FreeBSD.org
@@ -9,13 +8,13 @@ WWW=		https://www.kde.org/applications/utilities/kmousetool/
 
 LICENSE=	GPLv2
 
-USES=		cmake compiler:c++11-lang gettext kde:5 qt:5 tar:xz xorg
-USE_KDE=	auth codecs config configwidgets coreaddons dbusaddons \
-		i18n iconthemes notifications phonon widgetsaddons windowsystem xmlgui \
+USES=		cmake compiler:c++11-lang gettext kde:6 qt:6 tar:xz xorg
+USE_KDE=	auth codecs config configwidgets coreaddons dbusaddons i18n \
+		iconthemes notifications phonon statusnotifieritem \
+		widgetsaddons windowsystem xmlgui \
 		ecm:build
-USE_QT=		core dbus gui widgets xml \
-		buildtools:build qmake:build
-USE_XORG=	ice sm x11 xext xtst
+USE_QT=		base multimedia
+USE_XORG=	ice sm x11 xext xt xtst
 
 OPTIONS_DEFINE=	DOCS
 
diff --git a/accessibility/kmousetool/distinfo b/accessibility/kmousetool/distinfo
index fe5ef8283a6a..79340668d8ae 100644
--- a/accessibility/kmousetool/distinfo
+++ b/accessibility/kmousetool/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889461
-SHA256 (KDE/release-service/23.08.5/kmousetool-23.08.5.tar.xz) = df3b9295de1df284fd4dcd154ca92d3187992d926b834ccbf3ab833541839507
-SIZE (KDE/release-service/23.08.5/kmousetool-23.08.5.tar.xz) = 130964
+TIMESTAMP = 1734460008
+SHA256 (KDE/release-service/24.12.0/kmousetool-24.12.0.tar.xz) = 107847e56a2b9a817fac3d91497db7ddda860f82acd6df57b1cde883cf88b9d9
+SIZE (KDE/release-service/24.12.0/kmousetool-24.12.0.tar.xz) = 134508
diff --git a/accessibility/kmousetool/pkg-plist b/accessibility/kmousetool/pkg-plist
index 57d6f6275f73..c80bf7edd392 100644
--- a/accessibility/kmousetool/pkg-plist
+++ b/accessibility/kmousetool/pkg-plist
@@ -8,6 +8,7 @@ share/icons/hicolor/32x32/actions/kmousetool_on.png
 share/icons/hicolor/32x32/apps/kmousetool.png
 %%DATADIR%%/sounds/mousetool_tap.wav
 share/locale/ar/LC_MESSAGES/kmousetool.mo
+share/locale/ast/LC_MESSAGES/kmousetool.mo
 share/locale/be/LC_MESSAGES/kmousetool.mo
 share/locale/bg/LC_MESSAGES/kmousetool.mo
 share/locale/br/LC_MESSAGES/kmousetool.mo
@@ -89,6 +90,7 @@ share/man/man1/kmousetool.1.gz
 share/man/nl/man1/kmousetool.1.gz
 share/man/pt/man1/kmousetool.1.gz
 share/man/pt_BR/man1/kmousetool.1.gz
+share/man/sl/man1/kmousetool.1.gz
 share/man/sv/man1/kmousetool.1.gz
 share/man/uk/man1/kmousetool.1.gz
 share/metainfo/org.kde.kmousetool.appdata.xml
diff --git a/accessibility/kmouth/Makefile b/accessibility/kmouth/Makefile
index ca87955e7d55..67eaa089f055 100644
--- a/accessibility/kmouth/Makefile
+++ b/accessibility/kmouth/Makefile
@@ -1,6 +1,5 @@
 PORTNAME=	kmouth
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	1
 CATEGORIES=	accessibility kde kde-applications
 
 MAINTAINER=	kde@FreeBSD.org
@@ -10,12 +9,12 @@ WWW=		https://www.kde.org/applications/utilities/kmouth/
 LICENSE=	GPLv2
 LICENSE_FILE=	${WRKSRC}/COPYING
 
-USES=		cmake compiler:c++11-lang gettext kde:5 qt:5 tar:xz xorg
+USES=		cmake compiler:c++11-lang gettext kde:6 qt:6 tar:xz xorg
 USE_KDE=	auth codecs completion config configwidgets coreaddons crash \
-		i18n jobwidgets kio service solid widgetsaddons windowsystem xmlgui \
+		i18n jobwidgets kio service solid widgetsaddons windowsystem \
+		xmlgui \
 		ecm:build
-USE_QT=		concurrent core dbus gui network printsupport speech widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base speech
 USE_XORG=	x11
 
 OPTIONS_DEFINE=	DOCS
diff --git a/accessibility/kmouth/distinfo b/accessibility/kmouth/distinfo
index 916a7da514f7..e6280332e70d 100644
--- a/accessibility/kmouth/distinfo
+++ b/accessibility/kmouth/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889462
-SHA256 (KDE/release-service/23.08.5/kmouth-23.08.5.tar.xz) = 96d499fa0983f0189fcddbea419a872878ed5a3ffc34742a12223577062e4a97
-SIZE (KDE/release-service/23.08.5/kmouth-23.08.5.tar.xz) = 2091588
+TIMESTAMP = 1734460010
+SHA256 (KDE/release-service/24.12.0/kmouth-24.12.0.tar.xz) = 851a4526d8862dee02c337a20897a4e0c89ba8deed20df8ecf2dc16aace814af
+SIZE (KDE/release-service/24.12.0/kmouth-24.12.0.tar.xz) = 1940336
diff --git a/accessibility/kmouth/pkg-plist b/accessibility/kmouth/pkg-plist
index 0ab5c0bf2c95..4d45b9ab0bd0 100644
--- a/accessibility/kmouth/pkg-plist
+++ b/accessibility/kmouth/pkg-plist
@@ -1,16 +1,14 @@
 bin/kmouth
 etc/xdg/kmouthrc
 share/applications/org.kde.kmouth.desktop
+share/icons/hicolor/128x128/apps/kmouth.png
 share/icons/hicolor/16x16/actions/phrase.png
 share/icons/hicolor/16x16/actions/phrasebook.png
-share/icons/hicolor/16x16/apps/kmouth.png
 share/icons/hicolor/22x22/actions/phrase.png
 share/icons/hicolor/22x22/actions/phrasebook.png
-share/icons/hicolor/22x22/apps/kmouth.png
 share/icons/hicolor/32x32/actions/phrase.png
 share/icons/hicolor/32x32/actions/phrasebook.png
-share/icons/hicolor/32x32/apps/kmouth.png
-share/icons/hicolor/48x48/apps/kmouth.png
+share/icons/hicolor/scalable/apps/kmouth.svg
 %%DATADIR%%/books/ca/ca-courteousness.phrasebook
 %%DATADIR%%/books/ca/ca-greetings.phrasebook
 %%DATADIR%%/books/ca/ca-howareyou.phrasebook
@@ -31,9 +29,8 @@ share/icons/hicolor/48x48/apps/kmouth.png
 %%DATADIR%%/books/sv/sv-howareyou.phrasebook
 %%DATADIR%%/books/sv/sv-personal.phrasebook
 %%DATADIR%%/books/sv/sv.desktop
-share/kxmlgui5/kmouth/kmouthui.rc
-share/kxmlgui5/kmouth/phrasebookdialogui.rc
 share/locale/ar/LC_MESSAGES/kmouth.mo
+share/locale/ast/LC_MESSAGES/kmouth.mo
 share/locale/be/LC_MESSAGES/kmouth.mo
 share/locale/bg/LC_MESSAGES/kmouth.mo
 share/locale/br/LC_MESSAGES/kmouth.mo
@@ -118,6 +115,7 @@ share/man/nl/man1/kmouth.1.gz
 share/man/pt/man1/kmouth.1.gz
 share/man/pt_BR/man1/kmouth.1.gz
 share/man/ru/man1/kmouth.1.gz
+share/man/sl/man1/kmouth.1.gz
 share/man/sv/man1/kmouth.1.gz
 share/man/uk/man1/kmouth.1.gz
 share/metainfo/org.kde.kmouth.appdata.xml
diff --git a/archivers/Makefile b/archivers/Makefile
index 85e17183482a..985b67274f45 100644
--- a/archivers/Makefile
+++ b/archivers/Makefile
@@ -10,7 +10,6 @@
     SUBDIR += arc
     SUBDIR += arj
     SUBDIR += ark
-    SUBDIR += ark-devel
     SUBDIR += arqiver
     SUBDIR += atool
     SUBDIR += bicom
diff --git a/archivers/ark/Makefile b/archivers/ark/Makefile
index 7cff99eabaf0..9cb0325c3364 100644
--- a/archivers/ark/Makefile
+++ b/archivers/ark/Makefile
@@ -1,6 +1,5 @@
 PORTNAME=	ark
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	1
 CATEGORIES=	archivers kde kde-applications
 
 MAINTAINER=	kde@FreeBSD.org
@@ -9,15 +8,15 @@ WWW=		https://utils.kde.org/projects/ark/
 
 LICENSE=	GPLv2+
 
-USES=		cmake compiler:c++11-lang desktop-file-utils gettext libarchive kde:5 \
-		cpe qt:5 tar:xz xorg
-USE_KDE=	archive auth bookmarks codecs completion config configwidgets \
-		coreaddons crash dbusaddons doctools i18n iconthemes \
-		itemmodels itemviews jobwidgets khtml kio parts pty service \
-		solid sonnet textwidgets widgetsaddons windowsystem xmlgui \
+USES=		cmake compiler:c++11-lang cpe desktop-file-utils gettext gl \
+		kde:6 libarchive qt:6 tar:xz xorg
+USE_KDE=	bookmarks colorscheme completion config configwidgets \
+		coreaddons crash dbusaddons doctools filemetadata i18n \
+		iconthemes itemviews jobwidgets kio parts pty service solid \
+		widgetsaddons windowsystem xmlgui \
 		ecm:build
-USE_QT=		concurrent core dbus gui network widgets xml \
-		buildtools:build qmake:build
+USE_GL=		gl opengl
+USE_QT=		base
 USE_XORG=	x11
 USE_LDCONFIG=	yes
 
diff --git a/archivers/ark/distinfo b/archivers/ark/distinfo
index 15b48046c182..cc3da797be76 100644
--- a/archivers/ark/distinfo
+++ b/archivers/ark/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889364
-SHA256 (KDE/release-service/23.08.5/ark-23.08.5.tar.xz) = 6081c564e2d4e25113691483d2cf3843461a9db6c726e1e547fa9a9697aecfeb
-SIZE (KDE/release-service/23.08.5/ark-23.08.5.tar.xz) = 3018696
+TIMESTAMP = 1734460012
+SHA256 (KDE/release-service/24.12.0/ark-24.12.0.tar.xz) = a9e8e50a5cc2e56987cbc17d715e9c2958157c89cca8c21fa3b0d2fa802d0712
+SIZE (KDE/release-service/24.12.0/ark-24.12.0.tar.xz) = 3010228
